org.apache.bcel

## Class Const

- java.lang.Object
- - org.apache.bcel.Const

-     public final class Const
      extends Object

  Constants for the project, mostly defined in the JVM specification.
  Since:
    6.0 (intended to replace the Constants interface)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `AALOAD` Java VM opcode.
    `static short` | `AASTORE` Java VM opcode.
    `static short` | `ACC_ABSTRACT` One of the access flags for methods or classes.
    `static short` | `ACC_ANNOTATION` One of the access flags for classes.
    `static short` | `ACC_BRIDGE` One of the access flags for methods.
    `static short` | `ACC_ENUM` One of the access flags for fields or classes.
    `static short` | `ACC_FINAL` One of the access flags for fields, methods, or classes.
    `static short` | `ACC_INTERFACE` One of the access flags for classes.
    `static short` | `ACC_MANDATED` One of the access flags for MethodParameter or Module attributes.
    `static short` | `ACC_MODULE` One of the access flags for classes.
    `static short` | `ACC_NATIVE` One of the access flags for methods.
    `static short` | `ACC_OPEN` One of the access flags for the Module attribute.
    `static short` | `ACC_PRIVATE` One of the access flags for fields, methods, or classes.
    `static short` | `ACC_PROTECTED` One of the access flags for fields, methods, or classes.
    `static short` | `ACC_PUBLIC` One of the access flags for fields, methods, or classes.
    `static short` | `ACC_STATIC` One of the access flags for fields, methods, or classes.
    `static short` | `ACC_STATIC_PHASE` One of the access flags for the Module attribute.
    `static short` | `ACC_STRICT` One of the access flags for methods.
    `static short` | `ACC_SUPER` One of the access flags for classes.
    `static short` | `ACC_SYNCHRONIZED` One of the access flags for methods.
    `static short` | `ACC_SYNTHETIC` One of the access flags for fields, methods, classes, MethodParameter attribute, or Module attribute.
    `static short` | `ACC_TRANSIENT` One of the access flags for fields.
    `static short` | `ACC_TRANSITIVE` One of the access flags for the Module attribute.
    `static short` | `ACC_VARARGS` One of the access flags for methods.
    `static short` | `ACC_VOLATILE` One of the access flags for fields.
    `static int` | `ACCESS_NAMES_LENGTH`
    `static short` | `ACONST_NULL` Java VM opcode.
    `static short` | `ALOAD` Java VM opcode.
    `static short` | `ALOAD_0` Java VM opcode.
    `static short` | `ALOAD_1` Java VM opcode.
    `static short` | `ALOAD_2` Java VM opcode.
    `static short` | `ALOAD_3` Java VM opcode.
    `static short` | `ANEWARRAY` Java VM opcode.
    `static short` | `ANEWARRAY_QUICK` JVM internal opcode.
    `static int` | `APPEND_FRAME`
    `static int` | `APPEND_FRAME_MAX`
    `static short` | `ARETURN` Java VM opcode.
    `static short` | `ARRAYLENGTH` Java VM opcode.
    `static short` | `ASTORE` Java VM opcode.
    `static short` | `ASTORE_0` Java VM opcode.
    `static short` | `ASTORE_1` Java VM opcode.
    `static short` | `ASTORE_2` Java VM opcode.
    `static short` | `ASTORE_3` Java VM opcode.
    `static short` | `ATHROW` Java VM opcode.
    `static byte` | `ATTR_ANNOTATION_DEFAULT`
    `static byte` | `ATTR_BOOTSTRAP_METHODS`
    `static byte` | `ATTR_CODE`
    `static byte` | `ATTR_CONSTANT_VALUE`
    `static byte` | `ATTR_DEPRECATED`
    `static byte` | `ATTR_ENCLOSING_METHOD`
    `static byte` | `ATTR_EXCEPTIONS`
    `static byte` | `ATTR_INNER_CLASSES`
    `static byte` | `ATTR_LINE_NUMBER_TABLE`
    `static byte` | `ATTR_LOCAL_VARIABLE_TABLE`
    `static byte` | `ATTR_LOCAL_VARIABLE_TYPE_TABLE`
    `static byte` | `ATTR_METHOD_PARAMETERS`
    `static byte` | `ATTR_MODULE`
    `static byte` | `ATTR_MODULE_MAIN_CLASS`
    `static byte` | `ATTR_MODULE_PACKAGES`
    `static byte` | `ATTR_NEST_HOST`
    `static byte` | `ATTR_NEST_MEMBERS`
    `static byte` | `ATTR_PMG`
    `static byte` | `ATTR_RUNTIME_INVISIBLE_ANNOTATIONS`
    `static byte` | `ATTR_RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS`
    `static byte` | `ATTR_RUNTIME_VISIBLE_ANNOTATIONS`
    `static byte` | `ATTR_RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS`
    `static byte` | `ATTR_SIGNATURE`
    `static byte` | `ATTR_SOURCE_FILE`
    `static byte` | `ATTR_STACK_MAP`
    `static byte` | `ATTR_STACK_MAP_TABLE`
    `static byte` | `ATTR_SYNTHETIC`
    `static byte` | `ATTR_UNKNOWN` Attributes and their corresponding names.
    `static short` | `BALOAD` Java VM opcode.
    `static short` | `BASTORE` Java VM opcode.
    `static short` | `BIPUSH` Java VM opcode.
    `static short` | `BREAKPOINT` JVM internal opcode.
    `static short` | `CALOAD` Java VM opcode.
    `static short` | `CASTORE` Java VM opcode.
    `static short` | `CHECKCAST` Java VM opcode.
    `static short` | `CHECKCAST_QUICK` JVM internal opcode.
    `static int` | `CHOP_FRAME`
    `static int` | `CHOP_FRAME_MAX`
    `static byte` | `CONSTANT_Class` Marks a constant pool entry as a Class
    `static byte` | `CONSTANT_Double` Marks a constant pool entry as type Double.
    `static byte` | `CONSTANT_Dynamic` Marks a constant pool entry as dynamically computed.
    `static byte` | `CONSTANT_Fieldref` Marks a constant pool entry as a Field Reference.
    `static byte` | `CONSTANT_Float` Marks a constant pool entry as type Float.
    `static byte` | `CONSTANT_Integer` Marks a constant pool entry as type Integer.
    `static byte` | `CONSTANT_InterfaceMethodref` Marks a constant pool entry as an Interface Method Reference.
    `static byte` | `CONSTANT_InvokeDynamic` Marks a constant pool entry as an Invoke Dynamic
    `static byte` | `CONSTANT_Long` Marks a constant pool entry as type Long.
    `static byte` | `CONSTANT_MethodHandle` Marks a constant pool entry as a Method Handle.
    `static byte` | `CONSTANT_Methodref` Marks a constant pool entry as a Method Reference.
    `static byte` | `CONSTANT_MethodType` Marks a constant pool entry as a Method Type.
    `static byte` | `CONSTANT_Module` Marks a constant pool entry as a Module Reference.
    `static byte` | `CONSTANT_NameAndType` Marks a constant pool entry as a name and type.
    `static byte` | `CONSTANT_Package` Marks a constant pool entry as a Package Reference.
    `static byte` | `CONSTANT_String` Marks a constant pool entry as type String
    `static byte` | `CONSTANT_Utf8` Marks a constant pool entry as type UTF-8.
    `static String` | `CONSTRUCTOR_NAME` The name of every constructor method in a class, also called "instance initialization method".
    `static short` | `D2F` Java VM opcode.
    `static short` | `D2I` Java VM opcode.
    `static short` | `D2L` Java VM opcode.
    `static short` | `DADD` Java VM opcode.
    `static short` | `DALOAD` Java VM opcode.
    `static short` | `DASTORE` Java VM opcode.
    `static short` | `DCMPG` Java VM opcode.
    `static short` | `DCMPL` Java VM opcode.
    `static short` | `DCONST_0` Java VM opcode.
    `static short` | `DCONST_1` Java VM opcode.
    `static short` | `DDIV` Java VM opcode.
    `static short` | `DLOAD` Java VM opcode.
    `static short` | `DLOAD_0` Java VM opcode.
    `static short` | `DLOAD_1` Java VM opcode.
    `static short` | `DLOAD_2` Java VM opcode.
    `static short` | `DLOAD_3` Java VM opcode.
    `static short` | `DMUL` Java VM opcode.
    `static short` | `DNEG` Java VM opcode.
    `static short` | `DREM` Java VM opcode.
    `static short` | `DRETURN` Java VM opcode.
    `static short` | `DSTORE` Java VM opcode.
    `static short` | `DSTORE_0` Java VM opcode.
    `static short` | `DSTORE_1` Java VM opcode.
    `static short` | `DSTORE_2` Java VM opcode.
    `static short` | `DSTORE_3` Java VM opcode.
    `static short` | `DSUB` Java VM opcode.
    `static short` | `DUP` Java VM opcode.
    `static short` | `DUP_X1` Java VM opcode.
    `static short` | `DUP_X2` Java VM opcode.
    `static short` | `DUP2` Java VM opcode.
    `static short` | `DUP2_X1` Java VM opcode.
    `static short` | `DUP2_X2` Java VM opcode.
    `static short` | `F2D` Java VM opcode.
    `static short` | `F2I` Java VM opcode.
    `static short` | `F2L` Java VM opcode.
    `static short` | `FADD` Java VM opcode.
    `static short` | `FALOAD` Java VM opcode.
    `static short` | `FASTORE` Java VM opcode.
    `static short` | `FCMPG` Java VM opcode.
    `static short` | `FCMPL` Java VM opcode.
    `static short` | `FCONST_0` Java VM opcode.
    `static short` | `FCONST_1` Java VM opcode.
    `static short` | `FCONST_2` Java VM opcode.
    `static short` | `FDIV` Java VM opcode.
    `static short` | `FLOAD` Java VM opcode.
    `static short` | `FLOAD_0` Java VM opcode.
    `static short` | `FLOAD_1` Java VM opcode.
    `static short` | `FLOAD_2` Java VM opcode.
    `static short` | `FLOAD_3` Java VM opcode.
    `static short` | `FMUL` Java VM opcode.
    `static short` | `FNEG` Java VM opcode.
    `static short` | `FREM` Java VM opcode.
    `static short` | `FRETURN` Java VM opcode.
    `static short` | `FSTORE` Java VM opcode.
    `static short` | `FSTORE_0` Java VM opcode.
    `static short` | `FSTORE_1` Java VM opcode.
    `static short` | `FSTORE_2` Java VM opcode.
    `static short` | `FSTORE_3` Java VM opcode.
    `static short` | `FSUB` Java VM opcode.
    `static int` | `FULL_FRAME`
    `static short` | `GETFIELD` Java VM opcode.
    `static short` | `GETFIELD_QUICK` JVM internal opcode.
    `static short` | `GETFIELD_QUICK_W` JVM internal opcode.
    `static short` | `GETFIELD2_QUICK` JVM internal opcode.
    `static short` | `GETSTATIC` Java VM opcode.
    `static short` | `GETSTATIC_QUICK` JVM internal opcode.
    `static short` | `GETSTATIC2_QUICK` JVM internal opcode.
    `static short` | `GOTO` Java VM opcode.
    `static short` | `GOTO_W` Java VM opcode.
    `static short` | `I2B` Java VM opcode.
    `static short` | `I2C` Java VM opcode.
    `static short` | `I2D` Java VM opcode.
    `static short` | `I2F` Java VM opcode.
    `static short` | `I2L` Java VM opcode.
    `static short` | `I2S` Java VM opcode.
    `static short` | `IADD` Java VM opcode.
    `static short` | `IALOAD` Java VM opcode.
    `static short` | `IAND` Java VM opcode.
    `static short` | `IASTORE` Java VM opcode.
    `static short` | `ICONST_0` Java VM opcode.
    `static short` | `ICONST_1` Java VM opcode.
    `static short` | `ICONST_2` Java VM opcode.
    `static short` | `ICONST_3` Java VM opcode.
    `static short` | `ICONST_4` Java VM opcode.
    `static short` | `ICONST_5` Java VM opcode.
    `static short` | `ICONST_M1` Java VM opcode.
    `static short` | `IDIV` Java VM opcode.
    `static short` | `IF_ACMPEQ` Java VM opcode.
    `static short` | `IF_ACMPNE` Java VM opcode.
    `static short` | `IF_ICMPEQ` Java VM opcode.
    `static short` | `IF_ICMPGE` Java VM opcode.
    `static short` | `IF_ICMPGT` Java VM opcode.
    `static short` | `IF_ICMPLE` Java VM opcode.
    `static short` | `IF_ICMPLT` Java VM opcode.
    `static short` | `IF_ICMPNE` Java VM opcode.
    `static short` | `IFEQ` Java VM opcode.
    `static short` | `IFGE` Java VM opcode.
    `static short` | `IFGT` Java VM opcode.
    `static short` | `IFLE` Java VM opcode.
    `static short` | `IFLT` Java VM opcode.
    `static short` | `IFNE` Java VM opcode.
    `static short` | `IFNONNULL` Java VM opcode.
    `static short` | `IFNULL` Java VM opcode.
    `static short` | `IINC` Java VM opcode.
    `static String` | `ILLEGAL_OPCODE` Mnemonic for an illegal opcode.
    `static String` | `ILLEGAL_TYPE` Mnemonic for an illegal type.
    `static short` | `ILOAD` Java VM opcode.
    `static short` | `ILOAD_0` Java VM opcode.
    `static short` | `ILOAD_1` Java VM opcode.
    `static short` | `ILOAD_2` Java VM opcode.
    `static short` | `ILOAD_3` Java VM opcode.
    `static short` | `IMPDEP1` JVM internal opcode.
    `static short` | `IMPDEP2` JVM internal opcode.
    `static short` | `IMUL` Java VM opcode.
    `static short` | `INEG` Java VM opcode.
    `static short` | `INSTANCEOF` Java VM opcode.
    `static short` | `INSTANCEOF_QUICK` JVM internal opcode.
    `static short` | `INT2BYTE` Java VM opcode.
    `static short` | `INT2CHAR` Java VM opcode.
    `static short` | `INT2SHORT` Java VM opcode.
    `static short` | `INVOKEDYNAMIC` Java VM opcode.
    `static short` | `INVOKEINTERFACE` Java VM opcode.
    `static short` | `INVOKEINTERFACE_QUICK` JVM internal opcode.
    `static short` | `INVOKENONVIRTUAL` Java VM opcode.
    `static short` | `INVOKENONVIRTUAL_QUICK` JVM internal opcode.
    `static short` | `INVOKESPECIAL` Java VM opcode.
    `static short` | `INVOKESTATIC` Java VM opcode.
    `static short` | `INVOKESTATIC_QUICK` JVM internal opcode.
    `static short` | `INVOKESUPER_QUICK` JVM internal opcode.
    `static short` | `INVOKEVIRTUAL` Java VM opcode.
    `static short` | `INVOKEVIRTUAL_QUICK` JVM internal opcode.
    `static short` | `INVOKEVIRTUAL_QUICK_W` JVM internal opcode.
    `static short` | `INVOKEVIRTUALOBJECT_QUICK` JVM internal opcode.
    `static short` | `IOR` Java VM opcode.
    `static short` | `IREM` Java VM opcode.
    `static short` | `IRETURN` Java VM opcode.
    `static short` | `ISHL` Java VM opcode.
    `static short` | `ISHR` Java VM opcode.
    `static short` | `ISTORE` Java VM opcode.
    `static short` | `ISTORE_0` Java VM opcode.
    `static short` | `ISTORE_1` Java VM opcode.
    `static short` | `ISTORE_2` Java VM opcode.
    `static short` | `ISTORE_3` Java VM opcode.
    `static short` | `ISUB` Java VM opcode.
    `static byte` | `ITEM_Bogus` Constants used in the StackMap attribute.
    `static byte` | `ITEM_Double`
    `static byte` | `ITEM_Float`
    `static byte` | `ITEM_InitObject`
    `static byte` | `ITEM_Integer`
    `static byte` | `ITEM_Long`
    `static byte` | `ITEM_NewObject`
    `static byte` | `ITEM_Null`
    `static byte` | `ITEM_Object`
    `static short` | `IUSHR` Java VM opcode.
    `static short` | `IXOR` Java VM opcode.
    `static short` | `JSR` Java VM opcode.
    `static short` | `JSR_W` Java VM opcode.
    `static int` | `JVM_CLASSFILE_MAGIC` Java class file format Magic number (0xCAFEBABE)
    `static short` | `KNOWN_ATTRIBUTES`
    `static short` | `L2D` Java VM opcode.
    `static short` | `L2F` Java VM opcode.
    `static short` | `L2I` Java VM opcode.
    `static short` | `LADD` Java VM opcode.
    `static short` | `LALOAD` Java VM opcode.
    `static short` | `LAND` Java VM opcode.
    `static short` | `LASTORE` Java VM opcode.
    `static short` | `LCMP` Java VM opcode.
    `static short` | `LCONST_0` Java VM opcode.
    `static short` | `LCONST_1` Java VM opcode.
    `static short` | `LDC` Java VM opcode.
    `static short` | `LDC_QUICK` JVM internal opcode.
    `static short` | `LDC_W` Java VM opcode.
    `static short` | `LDC_W_QUICK` JVM internal opcode.
    `static short` | `LDC2_W` Java VM opcode.
    `static short` | `LDC2_W_QUICK` JVM internal opcode.
    `static short` | `LDIV` Java VM opcode.
    `static short` | `LLOAD` Java VM opcode.
    `static short` | `LLOAD_0` Java VM opcode.
    `static short` | `LLOAD_1` Java VM opcode.
    `static short` | `LLOAD_2` Java VM opcode.
    `static short` | `LLOAD_3` Java VM opcode.
    `static short` | `LMUL` Java VM opcode.
    `static short` | `LNEG` Java VM opcode.
    `static short` | `LOOKUPSWITCH` Java VM opcode.
    `static short` | `LOR` Java VM opcode.
    `static short` | `LREM` Java VM opcode.
    `static short` | `LRETURN` Java VM opcode.
    `static short` | `LSHL` Java VM opcode.
    `static short` | `LSHR` Java VM opcode.
    `static short` | `LSTORE` Java VM opcode.
    `static short` | `LSTORE_0` Java VM opcode.
    `static short` | `LSTORE_1` Java VM opcode.
    `static short` | `LSTORE_2` Java VM opcode.
    `static short` | `LSTORE_3` Java VM opcode.
    `static short` | `LSUB` Java VM opcode.
    `static short` | `LUSHR` Java VM opcode.
    `static short` | `LXOR` Java VM opcode.
    `static short` | `MAJOR` Default major version number.
    `static short` | `MAJOR_1_1` Major version number of class files for Java 1.1.
    `static short` | `MAJOR_1_2` Major version number of class files for Java 1.2.
    `static short` | `MAJOR_1_3` Major version number of class files for Java 1.2.
    `static short` | `MAJOR_1_4` Major version number of class files for Java 1.3.
    `static short` | `MAJOR_1_5` Major version number of class files for Java 1.4.
    `static short` | `MAJOR_1_6` Major version number of class files for Java 1.6.
    `static short` | `MAJOR_1_7` Major version number of class files for Java 1.7.
    `static short` | `MAJOR_1_8` Major version number of class files for Java 1.8.
    `static short` | `MAJOR_1_9` Deprecated. Use `MAJOR_9` instead
    `static short` | `MAJOR_10` Major version number of class files for Java 10.
    `static short` | `MAJOR_11` Major version number of class files for Java 11.
    `static short` | `MAJOR_12` Major version number of class files for Java 12.
    `static short` | `MAJOR_13` Major version number of class files for Java 13.
    `static short` | `MAJOR_14` Major version number of class files for Java 14.
    `static short` | `MAJOR_15` Major version number of class files for Java 15.
    `static short` | `MAJOR_16` Major version number of class files for Java 16.
    `static short` | `MAJOR_17` Major version number of class files for Java 17.
    `static short` | `MAJOR_18` Major version number of class files for Java 18.
    `static short` | `MAJOR_19` Major version number of class files for Java 19.
    `static short` | `MAJOR_9` Major version number of class files for Java 9.
    `static short` | `MAX_ACC_FLAG` Deprecated. Use `MAX_ACC_FLAG_I`
    `static int` | `MAX_ACC_FLAG_I` One of the access flags for fields, methods, or classes.
    `static int` | `MAX_ARRAY_DIMENSIONS` The maximum number of dimensions in an array (255).
    `static int` | `MAX_BYTE` Maximum value for an unsigned byte.
    `static int` | `MAX_CODE_SIZE` Maximum code size (plus one; the code size must be LESS than this) One of the limitations of the Java Virtual Machine.
    `static int` | `MAX_CP_ENTRIES` Maximum Constant Pool entries.
    `static int` | `MAX_SHORT` Maximum value for an unsigned short.
    `static short` | `MINOR` Default major version number.
    `static short` | `MINOR_1_1` Minor version number of class files for Java 1.1.
    `static short` | `MINOR_1_2` Minor version number of class files for Java 1.2.
    `static short` | `MINOR_1_3` Minor version number of class files for Java 1.3.
    `static short` | `MINOR_1_4` Minor version number of class files for Java 1.4.
    `static short` | `MINOR_1_5` Minor version number of class files for Java 1.5.
    `static short` | `MINOR_1_6` Minor version number of class files for Java 1.6.
    `static short` | `MINOR_1_7` Minor version number of class files for Java 1.7.
    `static short` | `MINOR_1_8` Minor version number of class files for Java 1.8.
    `static short` | `MINOR_1_9` Deprecated. Use `MINOR_9` instead
    `static short` | `MINOR_10` Minor version number of class files for Java 10.
    `static short` | `MINOR_11` Minor version number of class files for Java 11.
    `static short` | `MINOR_12` Minor version number of class files for Java 12.
    `static short` | `MINOR_13` Minor version number of class files for Java 13.
    `static short` | `MINOR_14` Minor version number of class files for Java 14.
    `static short` | `MINOR_15` Minor version number of class files for Java 15.
    `static short` | `MINOR_16` Minor version number of class files for Java 16.
    `static short` | `MINOR_17` Minor version number of class files for Java 17.
    `static short` | `MINOR_18` Minor version number of class files for Java 18.
    `static short` | `MINOR_19` Minor version number of class files for Java 19.
    `static short` | `MINOR_9` Minor version number of class files for Java 9.
    `static short` | `MONITORENTER` Java VM opcode.
    `static short` | `MONITOREXIT` Java VM opcode.
    `static short` | `MULTIANEWARRAY` Java VM opcode.
    `static short` | `MULTIANEWARRAY_QUICK` JVM internal opcode.
    `static short` | `NEW` Java VM opcode.
    `static short` | `NEW_QUICK` JVM internal opcode.
    `static short` | `NEWARRAY` Java VM opcode.
    `static short` | `NOP` Java VM opcode.
    `static int` | `OPCODE_NAMES_LENGTH`
    `static short` | `POP` Java VM opcode.
    `static short` | `POP2` Java VM opcode.
    `static short` | `PUSH` BCEL virtual instruction for pushing an arbitrary data type onto the stack.
    `static short` | `PUTFIELD` Java VM opcode.
    `static short` | `PUTFIELD_QUICK` JVM internal opcode.
    `static short` | `PUTFIELD_QUICK_W` JVM internal opcode.
    `static short` | `PUTFIELD2_QUICK` JVM internal opcode.
    `static short` | `PUTSTATIC` Java VM opcode.
    `static short` | `PUTSTATIC_QUICK` JVM internal opcode.
    `static short` | `PUTSTATIC2_QUICK` JVM internal opcode.
    `static byte` | `REF_getField`
    `static byte` | `REF_getStatic`
    `static byte` | `REF_invokeInterface`
    `static byte` | `REF_invokeSpecial`
    `static byte` | `REF_invokeStatic`
    `static byte` | `REF_invokeVirtual`
    `static byte` | `REF_newInvokeSpecial`
    `static byte` | `REF_putField`
    `static byte` | `REF_putStatic`
    `static short` | `RESERVED` Illegal opcode.
    `static short` | `RET` Java VM opcode.
    `static short` | `RETURN` Java VM opcode.
    `static short` | `SALOAD` Java VM opcode.
    `static int` | `SAME_FRAME` Constants used to identify StackMapEntry types.
    `static int` | `SAME_FRAME_EXTENDED`
    `static int` | `SAME_FRAME_MAX` Constants that define the maximum value of those constants which store ranges.
    `static int` | `SAME_LOCALS_1_STACK_ITEM_FRAME`
    `static int` | `SAME_LOCALS_1_STACK_ITEM_FRAME_EXTENDED`
    `static int` | `SAME_LOCALS_1_STACK_ITEM_FRAME_MAX`
    `static short` | `SASTORE` Java VM opcode.
    `static short` | `SIPUSH` Java VM opcode.
    `static String` | `STATIC_INITIALIZER_NAME` The name of the static initializer, also called "class initialization method" or "interface initialization method".
    `static short` | `SWAP` Java VM opcode.
    `static short` | `SWITCH` BCEL virtual instruction for either LOOKUPSWITCH or TABLESWITCH.
    `static byte` | `T_ADDRESS` Address data type.
    `static byte` | `T_ARRAY` Array data type.
    `static byte` | `T_BOOLEAN` Boolean data type.
    `static byte` | `T_BYTE` Byte data type.
    `static byte` | `T_CHAR` Char data type.
    `static byte` | `T_DOUBLE` Double data type.
    `static byte` | `T_FLOAT` Float data type.
    `static byte` | `T_INT` Int data type.
    `static byte` | `T_LONG` Long data type.
    `static byte` | `T_OBJECT` Object data type.
    `static byte` | `T_REFERENCE` Reference data type (deprecated).
    `static byte` | `T_SHORT` Short data type.
    `static byte` | `T_UNKNOWN` Unknown data type.
    `static byte` | `T_VOID` Void data type (non-standard).
    `static short` | `TABLESWITCH` Java VM opcode.
    `static short` | `UNDEFINED` Illegal opcode.
    `static short` | `UNPREDICTABLE` Illegal opcode.
    `static short` | `WIDE` Java VM opcode.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getAccessName(int index)`
    `static String` | `getAttributeName(int index)`
    `static String` | `getClassTypeName(int index)` The primitive class names corresponding to the T_XX constants, e.g., CLASS_TYPE_NAMES[T_INT] = "java.lang.Integer"
    `static String` | `getConstantName(int index)`
    `static int` | `getConsumeStack(int index)`
    `static Iterable<String>` | `getInterfacesImplementedByArrays()`
    `static String` | `getItemName(int index)`
    `static String` | `getMethodHandleName(int index)`
    `static short` | `getNoOfOperands(int index)`
    `static String` | `getOpcodeName(int index)`
    `static short` | `getOperandType(int opcode, int index)`
    `static long` | `getOperandTypeCount(int opcode)`
    `static int` | `getProduceStack(int index)`
    `static String` | `getShortTypeName(int index)`
    `static String` | `getTypeName(int index)` The primitive type names corresponding to the T_XX constants, e.g., TYPE_NAMES[T_INT] = "int"

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### JVM_CLASSFILE_MAGIC

          public static final int JVM_CLASSFILE_MAGIC

      Java class file format Magic number (0xCAFEBABE)
      See Also:
        The ClassFile Structure in The Java Virtual Machine Specification, Constant Field Values

    - #### MAJOR_1_1

          public static final short MAJOR_1_1

      Major version number of class files for Java 1.1.
      See Also:
        `MINOR_1_1`, Constant Field Values

    - #### MINOR_1_1

          public static final short MINOR_1_1

      Minor version number of class files for Java 1.1.
      See Also:
        `MAJOR_1_1`, Constant Field Values

    - #### MAJOR_1_2

          public static final short MAJOR_1_2

      Major version number of class files for Java 1.2.
      See Also:
        `MINOR_1_2`, Constant Field Values

    - #### MINOR_1_2

          public static final short MINOR_1_2

      Minor version number of class files for Java 1.2.
      See Also:
        `MAJOR_1_2`, Constant Field Values

    - #### MAJOR_1_3

          public static final short MAJOR_1_3

      Major version number of class files for Java 1.2.
      See Also:
        `MINOR_1_2`, Constant Field Values

    - #### MINOR_1_3

          public static final short MINOR_1_3

      Minor version number of class files for Java 1.3.
      See Also:
        `MAJOR_1_3`, Constant Field Values

    - #### MAJOR_1_4

          public static final short MAJOR_1_4

      Major version number of class files for Java 1.3.
      See Also:
        `MINOR_1_3`, Constant Field Values

    - #### MINOR_1_4

          public static final short MINOR_1_4

      Minor version number of class files for Java 1.4.
      See Also:
        `MAJOR_1_4`, Constant Field Values

    - #### MAJOR_1_5

          public static final short MAJOR_1_5

      Major version number of class files for Java 1.4.
      See Also:
        `MINOR_1_4`, Constant Field Values

    - #### MINOR_1_5

          public static final short MINOR_1_5

      Minor version number of class files for Java 1.5.
      See Also:
        `MAJOR_1_5`, Constant Field Values

    - #### MAJOR_1_6

          public static final short MAJOR_1_6

      Major version number of class files for Java 1.6.
      See Also:
        `MINOR_1_6`, Constant Field Values

    - #### MINOR_1_6

          public static final short MINOR_1_6

      Minor version number of class files for Java 1.6.
      See Also:
        `MAJOR_1_6`, Constant Field Values

    - #### MAJOR_1_7

          public static final short MAJOR_1_7

      Major version number of class files for Java 1.7.
      See Also:
        `MINOR_1_7`, Constant Field Values

    - #### MINOR_1_7

          public static final short MINOR_1_7

      Minor version number of class files for Java 1.7.
      See Also:
        `MAJOR_1_7`, Constant Field Values

    - #### MAJOR_1_8

          public static final short MAJOR_1_8

      Major version number of class files for Java 1.8.
      See Also:
        `MINOR_1_8`, Constant Field Values

    - #### MINOR_1_8

          public static final short MINOR_1_8

      Minor version number of class files for Java 1.8.
      See Also:
        `MAJOR_1_8`, Constant Field Values

    - #### MAJOR_9

          public static final short MAJOR_9

      Major version number of class files for Java 9.
      See Also:
        `MINOR_9`, Constant Field Values

    - #### MINOR_9

          public static final short MINOR_9

      Minor version number of class files for Java 9.
      See Also:
        `MAJOR_9`, Constant Field Values

    - #### MAJOR_1_9

          @Deprecated
          public static final short MAJOR_1_9

      Deprecated. Use `MAJOR_9` instead
      See Also:
        Constant Field Values

    - #### MINOR_1_9

          @Deprecated
          public static final short MINOR_1_9

      Deprecated. Use `MINOR_9` instead
      See Also:
        Constant Field Values

    - #### MAJOR_10

          public static final short MAJOR_10

      Major version number of class files for Java 10.
      See Also:
        `MINOR_10`, Constant Field Values

    - #### MINOR_10

          public static final short MINOR_10

      Minor version number of class files for Java 10.
      See Also:
        `MAJOR_10`, Constant Field Values

    - #### MAJOR_11

          public static final short MAJOR_11

      Major version number of class files for Java 11.
      See Also:
        `MINOR_11`, Constant Field Values

    - #### MINOR_11

          public static final short MINOR_11

      Minor version number of class files for Java 11.
      See Also:
        `MAJOR_11`, Constant Field Values

    - #### MAJOR_12

          public static final short MAJOR_12

      Major version number of class files for Java 12.
      See Also:
        `MINOR_12`, Constant Field Values

    - #### MINOR_12

          public static final short MINOR_12

      Minor version number of class files for Java 12.
      See Also:
        `MAJOR_12`, Constant Field Values

    - #### MAJOR_13

          public static final short MAJOR_13

      Major version number of class files for Java 13.
      See Also:
        `MINOR_13`, Constant Field Values

    - #### MINOR_13

          public static final short MINOR_13

      Minor version number of class files for Java 13.
      See Also:
        `MAJOR_13`, Constant Field Values

    - #### MINOR_14

          public static final short MINOR_14

      Minor version number of class files for Java 14.
      Since:
        6.4.0
      See Also:
        `MAJOR_14`, Constant Field Values

    - #### MINOR_15

          public static final short MINOR_15

      Minor version number of class files for Java 15.
      Since:
        6.6.0
      See Also:
        `MAJOR_15`, Constant Field Values

    - #### MINOR_16

          public static final short MINOR_16

      Minor version number of class files for Java 16.
      Since:
        6.6.0
      See Also:
        `MAJOR_16`, Constant Field Values

    - #### MINOR_17

          public static final short MINOR_17

      Minor version number of class files for Java 17.
      Since:
        6.6.0
      See Also:
        `MAJOR_17`, Constant Field Values

    - #### MINOR_18

          public static final short MINOR_18

      Minor version number of class files for Java 18.
      Since:
        6.6.0
      See Also:
        `MAJOR_18`, Constant Field Values

    - #### MINOR_19

          public static final short MINOR_19

      Minor version number of class files for Java 19.
      Since:
        6.6.0
      See Also:
        `MAJOR_19`, Constant Field Values

    - #### MAJOR_14

          public static final short MAJOR_14

      Major version number of class files for Java 14.
      Since:
        6.4.0
      See Also:
        `MINOR_14`, Constant Field Values

    - #### MAJOR_15

          public static final short MAJOR_15

      Major version number of class files for Java 15.
      Since:
        6.6.0
      See Also:
        `MINOR_15`, Constant Field Values

    - #### MAJOR_16

          public static final short MAJOR_16

      Major version number of class files for Java 16.
      Since:
        6.6.0
      See Also:
        `MINOR_16`, Constant Field Values

    - #### MAJOR_17

          public static final short MAJOR_17

      Major version number of class files for Java 17.
      Since:
        6.6.0
      See Also:
        `MINOR_17`, Constant Field Values

    - #### MAJOR_18

          public static final short MAJOR_18

      Major version number of class files for Java 18.
      Since:
        6.6.0
      See Also:
        `MINOR_18`, Constant Field Values

    - #### MAJOR_19

          public static final short MAJOR_19

      Major version number of class files for Java 19.
      Since:
        6.6.0
      See Also:
        `MINOR_19`, Constant Field Values

    - #### MAJOR

          public static final short MAJOR

      Default major version number. Class file is for Java 1.1.
      See Also:
        `MAJOR_1_1`, Constant Field Values

    - #### MINOR

          public static final short MINOR

      Default major version number. Class file is for Java 1.1.
      See Also:
        `MAJOR_1_1`, Constant Field Values

    - #### MAX_SHORT

          public static final int MAX_SHORT

      Maximum value for an unsigned short.
      See Also:
        Constant Field Values

    - #### MAX_BYTE

          public static final int MAX_BYTE

      Maximum value for an unsigned byte.
      See Also:
        Constant Field Values

    - #### ACC_PUBLIC

          public static final short ACC_PUBLIC

      One of the access flags for fields, methods, or classes.
      See Also:
        Flag definitions for Classes in the Java Virtual Machine Specification (Java SE 9 Edition)., Flag definitions for Fields in the Java Virtual Machine Specification (Java SE 9 Edition)., Flag definitions for Methods in the Java Virtual Machine Specification (Java SE 9 Edition)., Flag definitions for Inner Classes in the Java Virtual Machine Specification (Java SE 9 Edition)., Constant Field Values

    - #### ACC_PRIVATE

          public static final short ACC_PRIVATE

      One of the access flags for fields, methods, or classes.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_PROTECTED

          public static final short ACC_PROTECTED

      One of the access flags for fields, methods, or classes.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_STATIC

          public static final short ACC_STATIC

      One of the access flags for fields, methods, or classes.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_FINAL

          public static final short ACC_FINAL

      One of the access flags for fields, methods, or classes.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_OPEN

          public static final short ACC_OPEN

      One of the access flags for the Module attribute.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_SUPER

          public static final short ACC_SUPER

      One of the access flags for classes.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_SYNCHRONIZED

          public static final short ACC_SYNCHRONIZED

      One of the access flags for methods.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_TRANSITIVE

          public static final short ACC_TRANSITIVE

      One of the access flags for the Module attribute.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_BRIDGE

          public static final short ACC_BRIDGE

      One of the access flags for methods.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_STATIC_PHASE

          public static final short ACC_STATIC_PHASE

      One of the access flags for the Module attribute.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_VOLATILE

          public static final short ACC_VOLATILE

      One of the access flags for fields.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_TRANSIENT

          public static final short ACC_TRANSIENT

      One of the access flags for fields.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_VARARGS

          public static final short ACC_VARARGS

      One of the access flags for methods.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_NATIVE

          public static final short ACC_NATIVE

      One of the access flags for methods.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_INTERFACE

          public static final short ACC_INTERFACE

      One of the access flags for classes.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_ABSTRACT

          public static final short ACC_ABSTRACT

      One of the access flags for methods or classes.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_STRICT

          public static final short ACC_STRICT

      One of the access flags for methods.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_SYNTHETIC

          public static final short ACC_SYNTHETIC

      One of the access flags for fields, methods, classes, MethodParameter attribute, or Module attribute.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_ANNOTATION

          public static final short ACC_ANNOTATION

      One of the access flags for classes.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_ENUM

          public static final short ACC_ENUM

      One of the access flags for fields or classes.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_MANDATED

          public static final short ACC_MANDATED

      One of the access flags for MethodParameter or Module attributes.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACC_MODULE

          public static final short ACC_MODULE

      One of the access flags for classes.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### MAX_ACC_FLAG

          @Deprecated
          public static final short MAX_ACC_FLAG

      Deprecated. Use `MAX_ACC_FLAG_I`
      One of the access flags for fields, methods, or classes.
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### MAX_ACC_FLAG_I

          public static final int MAX_ACC_FLAG_I

      One of the access flags for fields, methods, or classes. ACC_MODULE is negative as a short.
      Since:
        6.4.0
      See Also:
        `ACC_PUBLIC`, Constant Field Values

    - #### ACCESS_NAMES_LENGTH

          public static final int ACCESS_NAMES_LENGTH

      Since:
        6.0

    - #### CONSTANT_Utf8

          public static final byte CONSTANT_Utf8

      Marks a constant pool entry as type UTF-8.
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### CONSTANT_Integer

          public static final byte CONSTANT_Integer

      Marks a constant pool entry as type Integer.
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### CONSTANT_Float

          public static final byte CONSTANT_Float

      Marks a constant pool entry as type Float.
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### CONSTANT_Long

          public static final byte CONSTANT_Long

      Marks a constant pool entry as type Long.
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### CONSTANT_Double

          public static final byte CONSTANT_Double

      Marks a constant pool entry as type Double.
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### CONSTANT_Class

          public static final byte CONSTANT_Class

      Marks a constant pool entry as a Class
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### CONSTANT_Fieldref

          public static final byte CONSTANT_Fieldref

      Marks a constant pool entry as a Field Reference.
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### CONSTANT_String

          public static final byte CONSTANT_String

      Marks a constant pool entry as type String
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### CONSTANT_Methodref

          public static final byte CONSTANT_Methodref

      Marks a constant pool entry as a Method Reference.
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### CONSTANT_InterfaceMethodref

          public static final byte CONSTANT_InterfaceMethodref

      Marks a constant pool entry as an Interface Method Reference.
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### CONSTANT_NameAndType

          public static final byte CONSTANT_NameAndType

      Marks a constant pool entry as a name and type.
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### CONSTANT_MethodHandle

          public static final byte CONSTANT_MethodHandle

      Marks a constant pool entry as a Method Handle.
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### CONSTANT_MethodType

          public static final byte CONSTANT_MethodType

      Marks a constant pool entry as a Method Type.
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### CONSTANT_Dynamic

          public static final byte CONSTANT_Dynamic

      Marks a constant pool entry as dynamically computed.
      Since:
        6.3
      See Also:
        Change request for JEP 309, Constant Field Values

    - #### CONSTANT_InvokeDynamic

          public static final byte CONSTANT_InvokeDynamic

      Marks a constant pool entry as an Invoke Dynamic
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### CONSTANT_Module

          public static final byte CONSTANT_Module

      Marks a constant pool entry as a Module Reference.
      Since:
        6.1
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### CONSTANT_Package

          public static final byte CONSTANT_Package

      Marks a constant pool entry as a Package Reference.
      Since:
        6.1
      See Also:
        The Constant Pool in The Java Virtual Machine Specification, Constant Field Values

    - #### STATIC_INITIALIZER_NAME

          public static final String STATIC_INITIALIZER_NAME

      The name of the static initializer, also called "class initialization method" or "interface initialization method". This is "<clinit>".
      See Also:
        Constant Field Values

    - #### CONSTRUCTOR_NAME

          public static final String CONSTRUCTOR_NAME

      The name of every constructor method in a class, also called "instance initialization method". This is "<init>".
      See Also:
        Constant Field Values

    - #### MAX_CP_ENTRIES

          public static final int MAX_CP_ENTRIES

      Maximum Constant Pool entries. One of the limitations of the Java Virtual Machine.
      See Also:
        The Java Virtual Machine Specification, Java SE 8 Edition, page 330, chapter 4.11., Constant Field Values

    - #### MAX_CODE_SIZE

          public static final int MAX_CODE_SIZE

      Maximum code size (plus one; the code size must be LESS than this) One of the limitations of the Java Virtual Machine. Note vmspec2 page 152 ("Limitations") says: "The amount of code per non-native, non-abstract method is limited to 65536 bytes by the sizes of the indices in the exception_table of the Code attribute (§4.7.3), in the LineNumberTable attribute (§4.7.8), and in the LocalVariableTable attribute (§4.7.9)." However this should be taken as an upper limit rather than the defined maximum. On page 134 (4.8.1 Static Constants) of the same spec, it says: "The value of the code_length item must be less than 65536." The entry in the Limitations section has been removed from later versions of the spec; it is not present in the Java SE 8 edition.
      See Also:
        The Java Virtual Machine Specification, Java SE 8 Edition, page 104, chapter 4.7., Constant Field Values

    - #### MAX_ARRAY_DIMENSIONS

          public static final int MAX_ARRAY_DIMENSIONS

      The maximum number of dimensions in an array (255). One of the limitations of the Java Virtual Machine.
      See Also:
        Field Descriptors in The Java Virtual Machine Specification, Constant Field Values

    - #### NOP

          public static final short NOP

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ACONST_NULL

          public static final short ACONST_NULL

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ICONST_M1

          public static final short ICONST_M1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ICONST_0

          public static final short ICONST_0

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ICONST_1

          public static final short ICONST_1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ICONST_2

          public static final short ICONST_2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ICONST_3

          public static final short ICONST_3

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ICONST_4

          public static final short ICONST_4

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ICONST_5

          public static final short ICONST_5

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LCONST_0

          public static final short LCONST_0

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LCONST_1

          public static final short LCONST_1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FCONST_0

          public static final short FCONST_0

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FCONST_1

          public static final short FCONST_1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FCONST_2

          public static final short FCONST_2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DCONST_0

          public static final short DCONST_0

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DCONST_1

          public static final short DCONST_1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### BIPUSH

          public static final short BIPUSH

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### SIPUSH

          public static final short SIPUSH

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LDC

          public static final short LDC

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LDC_W

          public static final short LDC_W

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LDC2_W

          public static final short LDC2_W

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ILOAD

          public static final short ILOAD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LLOAD

          public static final short LLOAD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FLOAD

          public static final short FLOAD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DLOAD

          public static final short DLOAD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ALOAD

          public static final short ALOAD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ILOAD_0

          public static final short ILOAD_0

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ILOAD_1

          public static final short ILOAD_1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ILOAD_2

          public static final short ILOAD_2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ILOAD_3

          public static final short ILOAD_3

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LLOAD_0

          public static final short LLOAD_0

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LLOAD_1

          public static final short LLOAD_1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LLOAD_2

          public static final short LLOAD_2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LLOAD_3

          public static final short LLOAD_3

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FLOAD_0

          public static final short FLOAD_0

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FLOAD_1

          public static final short FLOAD_1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FLOAD_2

          public static final short FLOAD_2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FLOAD_3

          public static final short FLOAD_3

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DLOAD_0

          public static final short DLOAD_0

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DLOAD_1

          public static final short DLOAD_1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DLOAD_2

          public static final short DLOAD_2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DLOAD_3

          public static final short DLOAD_3

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ALOAD_0

          public static final short ALOAD_0

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ALOAD_1

          public static final short ALOAD_1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ALOAD_2

          public static final short ALOAD_2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ALOAD_3

          public static final short ALOAD_3

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IALOAD

          public static final short IALOAD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LALOAD

          public static final short LALOAD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FALOAD

          public static final short FALOAD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DALOAD

          public static final short DALOAD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### AALOAD

          public static final short AALOAD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### BALOAD

          public static final short BALOAD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### CALOAD

          public static final short CALOAD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### SALOAD

          public static final short SALOAD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ISTORE

          public static final short ISTORE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LSTORE

          public static final short LSTORE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FSTORE

          public static final short FSTORE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DSTORE

          public static final short DSTORE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ASTORE

          public static final short ASTORE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ISTORE_0

          public static final short ISTORE_0

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ISTORE_1

          public static final short ISTORE_1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ISTORE_2

          public static final short ISTORE_2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ISTORE_3

          public static final short ISTORE_3

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LSTORE_0

          public static final short LSTORE_0

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LSTORE_1

          public static final short LSTORE_1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LSTORE_2

          public static final short LSTORE_2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LSTORE_3

          public static final short LSTORE_3

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FSTORE_0

          public static final short FSTORE_0

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FSTORE_1

          public static final short FSTORE_1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FSTORE_2

          public static final short FSTORE_2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FSTORE_3

          public static final short FSTORE_3

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DSTORE_0

          public static final short DSTORE_0

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DSTORE_1

          public static final short DSTORE_1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DSTORE_2

          public static final short DSTORE_2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DSTORE_3

          public static final short DSTORE_3

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ASTORE_0

          public static final short ASTORE_0

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ASTORE_1

          public static final short ASTORE_1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ASTORE_2

          public static final short ASTORE_2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ASTORE_3

          public static final short ASTORE_3

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IASTORE

          public static final short IASTORE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LASTORE

          public static final short LASTORE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FASTORE

          public static final short FASTORE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DASTORE

          public static final short DASTORE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### AASTORE

          public static final short AASTORE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### BASTORE

          public static final short BASTORE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### CASTORE

          public static final short CASTORE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### SASTORE

          public static final short SASTORE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### POP

          public static final short POP

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### POP2

          public static final short POP2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DUP

          public static final short DUP

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DUP_X1

          public static final short DUP_X1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DUP_X2

          public static final short DUP_X2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DUP2

          public static final short DUP2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DUP2_X1

          public static final short DUP2_X1

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DUP2_X2

          public static final short DUP2_X2

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### SWAP

          public static final short SWAP

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IADD

          public static final short IADD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LADD

          public static final short LADD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FADD

          public static final short FADD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DADD

          public static final short DADD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ISUB

          public static final short ISUB

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LSUB

          public static final short LSUB

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FSUB

          public static final short FSUB

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DSUB

          public static final short DSUB

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IMUL

          public static final short IMUL

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LMUL

          public static final short LMUL

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FMUL

          public static final short FMUL

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DMUL

          public static final short DMUL

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IDIV

          public static final short IDIV

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LDIV

          public static final short LDIV

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FDIV

          public static final short FDIV

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DDIV

          public static final short DDIV

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IREM

          public static final short IREM

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LREM

          public static final short LREM

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FREM

          public static final short FREM

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DREM

          public static final short DREM

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### INEG

          public static final short INEG

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LNEG

          public static final short LNEG

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FNEG

          public static final short FNEG

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DNEG

          public static final short DNEG

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ISHL

          public static final short ISHL

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LSHL

          public static final short LSHL

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ISHR

          public static final short ISHR

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LSHR

          public static final short LSHR

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IUSHR

          public static final short IUSHR

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LUSHR

          public static final short LUSHR

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IAND

          public static final short IAND

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LAND

          public static final short LAND

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IOR

          public static final short IOR

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LOR

          public static final short LOR

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IXOR

          public static final short IXOR

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LXOR

          public static final short LXOR

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IINC

          public static final short IINC

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### I2L

          public static final short I2L

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### I2F

          public static final short I2F

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### I2D

          public static final short I2D

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### L2I

          public static final short L2I

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### L2F

          public static final short L2F

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### L2D

          public static final short L2D

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### F2I

          public static final short F2I

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### F2L

          public static final short F2L

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### F2D

          public static final short F2D

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### D2I

          public static final short D2I

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### D2L

          public static final short D2L

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### D2F

          public static final short D2F

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### I2B

          public static final short I2B

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### INT2BYTE

          public static final short INT2BYTE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### I2C

          public static final short I2C

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### INT2CHAR

          public static final short INT2CHAR

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### I2S

          public static final short I2S

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### INT2SHORT

          public static final short INT2SHORT

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LCMP

          public static final short LCMP

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FCMPL

          public static final short FCMPL

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FCMPG

          public static final short FCMPG

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DCMPL

          public static final short DCMPL

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DCMPG

          public static final short DCMPG

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IFEQ

          public static final short IFEQ

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IFNE

          public static final short IFNE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IFLT

          public static final short IFLT

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IFGE

          public static final short IFGE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IFGT

          public static final short IFGT

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IFLE

          public static final short IFLE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IF_ICMPEQ

          public static final short IF_ICMPEQ

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IF_ICMPNE

          public static final short IF_ICMPNE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IF_ICMPLT

          public static final short IF_ICMPLT

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IF_ICMPGE

          public static final short IF_ICMPGE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IF_ICMPGT

          public static final short IF_ICMPGT

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IF_ICMPLE

          public static final short IF_ICMPLE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IF_ACMPEQ

          public static final short IF_ACMPEQ

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IF_ACMPNE

          public static final short IF_ACMPNE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### GOTO

          public static final short GOTO

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### JSR

          public static final short JSR

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### RET

          public static final short RET

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### TABLESWITCH

          public static final short TABLESWITCH

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LOOKUPSWITCH

          public static final short LOOKUPSWITCH

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IRETURN

          public static final short IRETURN

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### LRETURN

          public static final short LRETURN

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### FRETURN

          public static final short FRETURN

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### DRETURN

          public static final short DRETURN

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ARETURN

          public static final short ARETURN

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### RETURN

          public static final short RETURN

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### GETSTATIC

          public static final short GETSTATIC

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### PUTSTATIC

          public static final short PUTSTATIC

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### GETFIELD

          public static final short GETFIELD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### PUTFIELD

          public static final short PUTFIELD

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### INVOKEVIRTUAL

          public static final short INVOKEVIRTUAL

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### INVOKESPECIAL

          public static final short INVOKESPECIAL

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### INVOKENONVIRTUAL

          public static final short INVOKENONVIRTUAL

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### INVOKESTATIC

          public static final short INVOKESTATIC

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### INVOKEINTERFACE

          public static final short INVOKEINTERFACE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### INVOKEDYNAMIC

          public static final short INVOKEDYNAMIC

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### NEW

          public static final short NEW

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### NEWARRAY

          public static final short NEWARRAY

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ANEWARRAY

          public static final short ANEWARRAY

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ARRAYLENGTH

          public static final short ARRAYLENGTH

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### ATHROW

          public static final short ATHROW

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### CHECKCAST

          public static final short CHECKCAST

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### INSTANCEOF

          public static final short INSTANCEOF

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### MONITORENTER

          public static final short MONITORENTER

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### MONITOREXIT

          public static final short MONITOREXIT

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### WIDE

          public static final short WIDE

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### MULTIANEWARRAY

          public static final short MULTIANEWARRAY

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IFNULL

          public static final short IFNULL

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### IFNONNULL

          public static final short IFNONNULL

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### GOTO_W

          public static final short GOTO_W

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### JSR_W

          public static final short JSR_W

      Java VM opcode.
      See Also:
        Opcode definitions in The Java Virtual Machine Specification, Constant Field Values

    - #### BREAKPOINT

          public static final short BREAKPOINT

      JVM internal opcode.
      See Also:
        Reserved opcodes in the Java Virtual Machine Specification, Constant Field Values

    - #### LDC_QUICK

          public static final short LDC_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### LDC_W_QUICK

          public static final short LDC_W_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### LDC2_W_QUICK

          public static final short LDC2_W_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### GETFIELD_QUICK

          public static final short GETFIELD_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### PUTFIELD_QUICK

          public static final short PUTFIELD_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### GETFIELD2_QUICK

          public static final short GETFIELD2_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### PUTFIELD2_QUICK

          public static final short PUTFIELD2_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### GETSTATIC_QUICK

          public static final short GETSTATIC_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### PUTSTATIC_QUICK

          public static final short PUTSTATIC_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### GETSTATIC2_QUICK

          public static final short GETSTATIC2_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### PUTSTATIC2_QUICK

          public static final short PUTSTATIC2_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### INVOKEVIRTUAL_QUICK

          public static final short INVOKEVIRTUAL_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### INVOKENONVIRTUAL_QUICK

          public static final short INVOKENONVIRTUAL_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### INVOKESUPER_QUICK

          public static final short INVOKESUPER_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### INVOKESTATIC_QUICK

          public static final short INVOKESTATIC_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### INVOKEINTERFACE_QUICK

          public static final short INVOKEINTERFACE_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### INVOKEVIRTUALOBJECT_QUICK

          public static final short INVOKEVIRTUALOBJECT_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### NEW_QUICK

          public static final short NEW_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### ANEWARRAY_QUICK

          public static final short ANEWARRAY_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### MULTIANEWARRAY_QUICK

          public static final short MULTIANEWARRAY_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### CHECKCAST_QUICK

          public static final short CHECKCAST_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### INSTANCEOF_QUICK

          public static final short INSTANCEOF_QUICK

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### INVOKEVIRTUAL_QUICK_W

          public static final short INVOKEVIRTUAL_QUICK_W

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### GETFIELD_QUICK_W

          public static final short GETFIELD_QUICK_W

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### PUTFIELD_QUICK_W

          public static final short PUTFIELD_QUICK_W

      JVM internal opcode.
      See Also:
        Specification of _quick opcodes in the Java Virtual Machine Specification (version 1), Why the _quick opcodes were removed from the second version of the Java Virtual Machine Specification., Constant Field Values

    - #### IMPDEP1

          public static final short IMPDEP1

      JVM internal opcode.
      See Also:
        Reserved opcodes in the Java Virtual Machine Specification, Constant Field Values

    - #### IMPDEP2

          public static final short IMPDEP2

      JVM internal opcode.
      See Also:
        Reserved opcodes in the Java Virtual Machine Specification, Constant Field Values

    - #### PUSH

          public static final short PUSH

      BCEL virtual instruction for pushing an arbitrary data type onto the stack. Will be converted to the appropriate JVM opcode when the class is dumped.
      See Also:
        Constant Field Values

    - #### SWITCH

          public static final short SWITCH

      BCEL virtual instruction for either LOOKUPSWITCH or TABLESWITCH. Will be converted to the appropriate JVM opcode when the class is dumped.
      See Also:
        Constant Field Values

    - #### UNDEFINED

          public static final short UNDEFINED

      Illegal opcode.
      See Also:
        Constant Field Values

    - #### UNPREDICTABLE

          public static final short UNPREDICTABLE

      Illegal opcode.
      See Also:
        Constant Field Values

    - #### RESERVED

          public static final short RESERVED

      Illegal opcode.
      See Also:
        Constant Field Values

    - #### ILLEGAL_OPCODE

          public static final String ILLEGAL_OPCODE

      Mnemonic for an illegal opcode.
      See Also:
        Constant Field Values

    - #### ILLEGAL_TYPE

          public static final String ILLEGAL_TYPE

      Mnemonic for an illegal type.
      See Also:
        Constant Field Values

    - #### T_BOOLEAN

          public static final byte T_BOOLEAN

      Boolean data type.
      See Also:
        Static Constraints in the Java Virtual Machine Specification, Constant Field Values

    - #### T_CHAR

          public static final byte T_CHAR

      Char data type.
      See Also:
        Static Constraints in the Java Virtual Machine Specification, Constant Field Values

    - #### T_FLOAT

          public static final byte T_FLOAT

      Float data type.
      See Also:
        Static Constraints in the Java Virtual Machine Specification, Constant Field Values

    - #### T_DOUBLE

          public static final byte T_DOUBLE

      Double data type.
      See Also:
        Static Constraints in the Java Virtual Machine Specification, Constant Field Values

    - #### T_BYTE

          public static final byte T_BYTE

      Byte data type.
      See Also:
        Static Constraints in the Java Virtual Machine Specification, Constant Field Values

    - #### T_SHORT

          public static final byte T_SHORT

      Short data type.
      See Also:
        Static Constraints in the Java Virtual Machine Specification, Constant Field Values

    - #### T_INT

          public static final byte T_INT

      Int data type.
      See Also:
        Static Constraints in the Java Virtual Machine Specification, Constant Field Values

    - #### T_LONG

          public static final byte T_LONG

      Long data type.
      See Also:
        Static Constraints in the Java Virtual Machine Specification, Constant Field Values

    - #### T_VOID

          public static final byte T_VOID

      Void data type (non-standard).
      See Also:
        Constant Field Values

    - #### T_ARRAY

          public static final byte T_ARRAY

      Array data type.
      See Also:
        Constant Field Values

    - #### T_OBJECT

          public static final byte T_OBJECT

      Object data type.
      See Also:
        Constant Field Values

    - #### T_REFERENCE

          public static final byte T_REFERENCE

      Reference data type (deprecated).
      See Also:
        Constant Field Values

    - #### T_UNKNOWN

          public static final byte T_UNKNOWN

      Unknown data type.
      See Also:
        Constant Field Values

    - #### T_ADDRESS

          public static final byte T_ADDRESS

      Address data type.
      See Also:
        Constant Field Values

    - #### OPCODE_NAMES_LENGTH

          public static final int OPCODE_NAMES_LENGTH

      Since:
        6.0

    - #### ATTR_UNKNOWN

          public static final byte ATTR_UNKNOWN

      Attributes and their corresponding names.
      See Also:
        Constant Field Values

    - #### ATTR_SOURCE_FILE

          public static final byte ATTR_SOURCE_FILE

      See Also:
        Constant Field Values

    - #### ATTR_CONSTANT_VALUE

          public static final byte ATTR_CONSTANT_VALUE

      See Also:
        Constant Field Values

    - #### ATTR_CODE

          public static final byte ATTR_CODE

      See Also:
        Constant Field Values

    - #### ATTR_EXCEPTIONS

          public static final byte ATTR_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### ATTR_LINE_NUMBER_TABLE

          public static final byte ATTR_LINE_NUMBER_TABLE

      See Also:
        Constant Field Values

    - #### ATTR_LOCAL_VARIABLE_TABLE

          public static final byte ATTR_LOCAL_VARIABLE_TABLE

      See Also:
        Constant Field Values

    - #### ATTR_INNER_CLASSES

          public static final byte ATTR_INNER_CLASSES

      See Also:
        Constant Field Values

    - #### ATTR_SYNTHETIC

          public static final byte ATTR_SYNTHETIC

      See Also:
        Constant Field Values

    - #### ATTR_DEPRECATED

          public static final byte ATTR_DEPRECATED

      See Also:
        Constant Field Values

    - #### ATTR_PMG

          public static final byte ATTR_PMG

      See Also:
        Constant Field Values

    - #### ATTR_SIGNATURE

          public static final byte ATTR_SIGNATURE

      See Also:
        Constant Field Values

    - #### ATTR_STACK_MAP

          public static final byte ATTR_STACK_MAP

      See Also:
        Constant Field Values

    - #### ATTR_RUNTIME_VISIBLE_ANNOTATIONS

          public static final byte ATTR_RUNTIME_VISIBLE_ANNOTATIONS

      See Also:
        Constant Field Values

    - #### ATTR_RUNTIME_INVISIBLE_ANNOTATIONS

          public static final byte ATTR_RUNTIME_INVISIBLE_ANNOTATIONS

      See Also:
        Constant Field Values

    - #### ATTR_RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS

          public static final byte ATTR_RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS

      See Also:
        Constant Field Values

    - #### ATTR_RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS

          public static final byte ATTR_RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS

      See Also:
        Constant Field Values

    - #### ATTR_ANNOTATION_DEFAULT

          public static final byte ATTR_ANNOTATION_DEFAULT

      See Also:
        Constant Field Values

    - #### ATTR_LOCAL_VARIABLE_TYPE_TABLE

          public static final byte ATTR_LOCAL_VARIABLE_TYPE_TABLE

      See Also:
        Constant Field Values

    - #### ATTR_ENCLOSING_METHOD

          public static final byte ATTR_ENCLOSING_METHOD

      See Also:
        Constant Field Values

    - #### ATTR_STACK_MAP_TABLE

          public static final byte ATTR_STACK_MAP_TABLE

      See Also:
        Constant Field Values

    - #### ATTR_BOOTSTRAP_METHODS

          public static final byte ATTR_BOOTSTRAP_METHODS

      See Also:
        Constant Field Values

    - #### ATTR_METHOD_PARAMETERS

          public static final byte ATTR_METHOD_PARAMETERS

      See Also:
        Constant Field Values

    - #### ATTR_MODULE

          public static final byte ATTR_MODULE

      See Also:
        Constant Field Values

    - #### ATTR_MODULE_PACKAGES

          public static final byte ATTR_MODULE_PACKAGES

      See Also:
        Constant Field Values

    - #### ATTR_MODULE_MAIN_CLASS

          public static final byte ATTR_MODULE_MAIN_CLASS

      See Also:
        Constant Field Values

    - #### ATTR_NEST_HOST

          public static final byte ATTR_NEST_HOST

      See Also:
        Constant Field Values

    - #### ATTR_NEST_MEMBERS

          public static final byte ATTR_NEST_MEMBERS

      See Also:
        Constant Field Values

    - #### KNOWN_ATTRIBUTES

          public static final short KNOWN_ATTRIBUTES

      See Also:
        Constant Field Values

    - #### ITEM_Bogus

          public static final byte ITEM_Bogus

      Constants used in the StackMap attribute.
      See Also:
        Constant Field Values

    - #### ITEM_Integer

          public static final byte ITEM_Integer

      See Also:
        Constant Field Values

    - #### ITEM_Float

          public static final byte ITEM_Float

      See Also:
        Constant Field Values

    - #### ITEM_Double

          public static final byte ITEM_Double

      See Also:
        Constant Field Values

    - #### ITEM_Long

          public static final byte ITEM_Long

      See Also:
        Constant Field Values

    - #### ITEM_Null

          public static final byte ITEM_Null

      See Also:
        Constant Field Values

    - #### ITEM_InitObject

          public static final byte ITEM_InitObject

      See Also:
        Constant Field Values

    - #### ITEM_Object

          public static final byte ITEM_Object

      See Also:
        Constant Field Values

    - #### ITEM_NewObject

          public static final byte ITEM_NewObject

      See Also:
        Constant Field Values

    - #### SAME_FRAME

          public static final int SAME_FRAME

      Constants used to identify StackMapEntry types. For those types which can specify a range, the constant names the lowest value.
      See Also:
        Constant Field Values

    - #### SAME_LOCALS_1_STACK_ITEM_FRAME

          public static final int SAME_LOCALS_1_STACK_ITEM_FRAME

      See Also:
        Constant Field Values

    - #### SAME_LOCALS_1_STACK_ITEM_FRAME_EXTENDED

          public static final int SAME_LOCALS_1_STACK_ITEM_FRAME_EXTENDED

      See Also:
        Constant Field Values

    - #### CHOP_FRAME

          public static final int CHOP_FRAME

      See Also:
        Constant Field Values

    - #### SAME_FRAME_EXTENDED

          public static final int SAME_FRAME_EXTENDED

      See Also:
        Constant Field Values

    - #### APPEND_FRAME

          public static final int APPEND_FRAME

      See Also:
        Constant Field Values

    - #### FULL_FRAME

          public static final int FULL_FRAME

      See Also:
        Constant Field Values

    - #### SAME_FRAME_MAX

          public static final int SAME_FRAME_MAX

      Constants that define the maximum value of those constants which store ranges.
      See Also:
        Constant Field Values

    - #### SAME_LOCALS_1_STACK_ITEM_FRAME_MAX

          public static final int SAME_LOCALS_1_STACK_ITEM_FRAME_MAX

      See Also:
        Constant Field Values

    - #### CHOP_FRAME_MAX

          public static final int CHOP_FRAME_MAX

      See Also:
        Constant Field Values

    - #### APPEND_FRAME_MAX

          public static final int APPEND_FRAME_MAX

      See Also:
        Constant Field Values

    - #### REF_getField

          public static final byte REF_getField

      See Also:
        Constant Field Values

    - #### REF_getStatic

          public static final byte REF_getStatic

      See Also:
        Constant Field Values

    - #### REF_putField

          public static final byte REF_putField

      See Also:
        Constant Field Values

    - #### REF_putStatic

          public static final byte REF_putStatic

      See Also:
        Constant Field Values

    - #### REF_invokeVirtual

          public static final byte REF_invokeVirtual

      See Also:
        Constant Field Values

    - #### REF_invokeStatic

          public static final byte REF_invokeStatic

      See Also:
        Constant Field Values

    - #### REF_invokeSpecial

          public static final byte REF_invokeSpecial

      See Also:
        Constant Field Values

    - #### REF_newInvokeSpecial

          public static final byte REF_newInvokeSpecial

      See Also:
        Constant Field Values

    - #### REF_invokeInterface

          public static final byte REF_invokeInterface

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAccessName

          public static String getAccessName(int index)

      Parameters:
        `index` -
      Returns:
        the ACCESS_NAMES entry at the given index
      Since:
        6.0

    - #### getAttributeName

          public static String getAttributeName(int index)

      Parameters:
        `index` -
      Returns:
        the attribute name
      Since:
        6.0

    - #### getClassTypeName

          public static String getClassTypeName(int index)

      The primitive class names corresponding to the T_XX constants, e.g., CLASS_TYPE_NAMES[T_INT] = "java.lang.Integer"
      Parameters:
        `index` -
      Returns:
        the class name
      Since:
        6.0

    - #### getConstantName

          public static String getConstantName(int index)

      Parameters:
        `index` -
      Returns:
        the CONSTANT_NAMES entry at the given index
      Since:
        6.0

    - #### getConsumeStack

          public static int getConsumeStack(int index)

      Parameters:
        `index` -
      Returns:
        Number of words consumed on operand stack
      Since:
        6.0

    - #### getInterfacesImplementedByArrays

          public static Iterable<String> getInterfacesImplementedByArrays()

      Since:
        6.0

    - #### getItemName

          public static String getItemName(int index)

      Parameters:
        `index` -
      Returns:
        the item name
      Since:
        6.0

    - #### getMethodHandleName

          public static String getMethodHandleName(int index)

      Parameters:
        `index` -
      Returns:
        the method handle name
      Since:
        6.0

    - #### getNoOfOperands

          public static short getNoOfOperands(int index)

      Parameters:
        `index` -
      Returns:
        Number of byte code operands
      Since:
        6.0

    - #### getOpcodeName

          public static String getOpcodeName(int index)

      Since:
        6.0

    - #### getOperandType

          public static short getOperandType(int opcode,
                                             int index)

      Since:
        6.0

    - #### getOperandTypeCount

          public static long getOperandTypeCount(int opcode)

      Since:
        6.0

    - #### getProduceStack

          public static int getProduceStack(int index)

      Parameters:
        `index` -
      Returns:
        Number of words produced onto operand stack
      Since:
        6.0

    - #### getShortTypeName

          public static String getShortTypeName(int index)

      Parameters:
        `index` -
      Returns:
        the short type name
      Since:
        6.0

    - #### getTypeName

          public static String getTypeName(int index)

      The primitive type names corresponding to the T_XX constants, e.g., TYPE_NAMES[T_INT] = "int"
      Parameters:
        `index` -
      Returns:
        the type name
      Since:
        6.0

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.